# xs2pdf

Export graphics to PDF.

## Calling Sequence

    xs2pdf(win_num, file_name [,orientation])
                xs2pdf(fig, file_name [,orientation])

## Arguments

win_num

  integer, id of the figure to export.

fig

  handle of the figure to export.

file_name

  string, name of the exported file.

  If the extension is not provided, it is going to be automatically added.

orientation

  optional character, with possible values 'portrait' or 'landscape'. The default value is 'portrait'.

## Description

`xs2pdf` exports the display of a graphic window into an PDF file.

## Examples

    scf(0);
    plot2d();
    //PDF export
    filename='foo';
    xs2pdf(0,filename);
    xs2pdf(gcf(),filename);

## See Also

- figure_size property
- toprint
- printfigure
- xs2bmp
- xs2gif
- xs2jpg
- xs2png
- xs2ppm
- xs2eps
- xs2svg
- xs2ps
- xs2emf